<?php
/**
 * The loop that displays posts for single post page.
 * @copyright	Copyright (C) 2010 AllFreeCMS dot com. 
 * This theme created based on Grid960CSS 12 columns - thanks to 960 Grid System ~ 
 * Core CSS for great framework. (Learn more ~ http://960.gs/)
 * Any questions? Do not hesitate to contact me : http://allfreecms.com/contact/
 * @package AFC_Mataram_106
 */
//allows the theme to get info from the theme options page
global $options;foreach ($options as $value) {if ( !isset( $value['id'] ) )continue;if (get_option( $value['id'] ) === FALSE) {	$$value['id'] = $value['std'];} else {$$value['id'] = get_option( $value['id'] );	}}
while ( have_posts() ) : the_post() ?>
<div class="post">
<div class="entry-content">
<h2 class="afc-post-title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a>
</h2>
<div class="entry-utility">Posted on <?php afc_posted_date();?></div>
							
<?php if ( wp_attachment_is_image() ) :
	$attachments = array_values( get_children( array( 'post_parent' => $post->post_parent, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID' ) ) );
	foreach ( $attachments as $k => $attachment ) {
		if ( $attachment->ID == $post->ID )
			break;
	}
	$k++;
	// If there is more than 1 image attachment in a gallery
	if ( count( $attachments ) > 1 ) {
		if ( isset( $attachments[ $k ] ) )
			// get the URL of the next image attachment
			$next_attachment_url = get_attachment_link( $attachments[ $k ]->ID );
		else
			// or get the URL of the first image attachment
			$next_attachment_url = get_attachment_link( $attachments[ 0 ]->ID );
	} else {
		// or, if there's only 1 image attachment, get the URL of the image
		$next_attachment_url = wp_get_attachment_url();
	}
?>
<div class="entry-content attach">

	<p class="attachment">
	<a href="<?php echo $next_attachment_url; ?>" title="<?php echo esc_attr( get_the_title() ); ?>" rel="attachment"><?php $attachment_size = apply_filters( 'attachment_size', 465 );echo wp_get_attachment_image( $post->ID, array( $attachment_size, 9999 ) ); // filterable image width with, essentially, no limit for image height.?>
</a>	
	</p>
	<div class="gallery-caption">
		<?php if ( !empty( $post->post_excerpt ) ) the_excerpt(); ?>
	</div>

</div>	
	
<br class="clear"/>

<div class="navigation">
	<div class="nav-previous"><?php previous_image_link( false ); ?></div>
	<div class="nav-next"><?php next_image_link( false ); ?></div>
</div>

<?php else : ?>
	<a href="<?php echo wp_get_attachment_url(); ?>" title="<?php echo esc_attr( get_the_title() ); ?>" rel="attachment"><?php echo basename( get_permalink() ); ?>
	</a>
	<div class="entry-caption">
		<?php if ( !empty( $post->post_excerpt ) ) the_excerpt(); ?>
	</div>	
<?php endif; ?>

	

<?php the_content() ; ?>
<?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:' ), 'after' => '</div>' ) ); ?>
</div>


</div><?php comments_template( '', true ); ?></div>

<?php endwhile; ?>