<?php
/**
 * The template for displaying Search Results pages.
 * @copyright	Copyright (C) 2010 AllFreeCMS dot com. 
 * This theme created based on Grid960CSS 12 columns - thanks to 960 Grid System ~ Core CSS for great framework. (Learn more ~ http://960.gs/)
 * Any questions? Do not hesitate to contact me : http://allfreecms.com/contact/
 * @package AFC_Mataram_106
 * @subpackage Search Results area
 */
get_header(); ?>
<div class="fcg_1 smc">
<?php if ( have_posts() ) : ?>
<h1 class="page-title"><?php printf( __( 'Search Results for: %s' ), '<span>' . get_search_query() . '</span>' ); ?></h1><?php get_template_part( 'loop', 'search' );?>
<?php else : ?>
<div id="post-0" class="post no-results not-found">
<h3 class="entry-title"><?php _e( 'Nothing Found' ); ?></h3>
<div class="entry-content">
<p><?php _e( 'Sorry, but nothing matched your search criteria. Please try again with some different keywords.' ); ?></p>
</div>
</div>
<?php endif; ?>
</div>
<?php get_sidebar('more'); get_sidebar(); get_footer(); ?>