<?php
/**
 * The template for displaying 404 pages (Not Found).
 * @copyright	Copyright (C) 2010 AllFreeCMS dot com. 
 * This theme created based on Grid960CSS 12 columns - thanks to 960 Grid System ~ 
 * Core CSS for great framework. (Learn more ~ http://960.gs/)
 * Any questions? Do not hesitate to contact me : http://allfreecms.com/contact/
 * @package AFC_Mataram_106
 * @subpackage 404 Page 
 */
get_header(); ?>

<div class="fcg_12 p" id="afc404">
	<h2 class="nf-title"><?php _e( 'Oops, Sorry ... Not Found ' ); ?></h2>
		<div class="entry-content">
			<p class="afcgetnf"><?php _e( 'Apologies, but the page you requested could not be found. Perhaps searching will help.' ); ?></p>
			<div class="afcgetnf">
			or <strong>Browse through the last 20 posts.</strong>
			<ul class="afcgetarchives">
			<?php $myposts = get_posts('numberposts=20&offset=0&order=DESC');
			foreach($myposts as $post) : ?>
			<li><h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a> <small>- 
			<?php the_time(get_option( 'date_format' ));?></small></h3></li>
			<?php endforeach; ?>
			</ul>
			</div>
		</div>

	<script type="text/javascript">
		document.getElementById('s') && document.getElementById('s').focus();
	</script>
	
</div>
<?php get_footer(); ?>