<?php
/**
 * The template for displaying Comments.
 * @copyright	Copyright (C) 2010 AllFreeCMS dot com. 
 * This theme created based on Grid960CSS 12 columns - thanks to 960 Grid System ~ 
 * Core CSS for great framework. (Learn more ~ http://960.gs/)
 * Any questions? Do not hesitate to contact me : http://allfreecms.com/contact/
 * @package AFC_Mataram_106
 */
?>
<div id="comments">
<?php if ( post_password_required() ) : ?>
<p class="nopassword"><?php _e( 'This post is password protected. Enter the password to view any comments.' ); ?></p>
</div>
<?php return; endif; 
if ( have_comments() ) : ?>
<h2 id="afc-comments-title"><?php printf( _n( 'One Response to %2$s', '%1$s Responses to %2$s', get_comments_number()),	number_format_i18n( get_comments_number() ), '<em>' . get_the_title() . '</em>' );?>
</h2>
<ol class="commentlist">
<?php wp_list_comments( array( 'callback' => 'afc_comment' ) );	?>
</ol>
<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>
<div class="navigation">
	<div class="nav-previous">
	<?php previous_comments_link( __( '<span class="meta-nav">&larr;</span> Older Comments' ) ); ?></div>
	<div class="nav-next">
	<?php next_comments_link( __( 'Newer Comments <span class="meta-nav">&rarr;</span>' ) ); ?></div>
</div>
<?php endif; else : if ( ! comments_open() ) :?>
<p class="nocomments"><?php _e( 'Comments are closed.' ); ?></p>
<?php endif; endif; comment_form(); ?>